<?
if(isset($_POST['ok']) && $_POST['mdp']==$ku['mdp'])
{
$sum=intval($_POST['sum']);
if($ku['rubies']>=$sum)
{
$ku['rubies']=minus_rubies($sum);
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ank['rubies']+$sum)."' WHERE `id` = '$ank[id]'");
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$ank[id]', `id_kont` = '0', `msg` = '".("$ku[nick] прислал".($ku['pol']==0?'a':null)." вам $sum руб.")."', `time` = '$time', `type` = 'to'");
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$ku[id]', `id_kont` = '0', `msg` = '".("Вы переслали $sum золота гроверу $ank[nick]")."', `time` = '$time', `type` = 'at', `read` = '1'");
msg_game("Передача успешно завершена");
}
else no_rubies($sum-$ku['rubies']);
}
echo "<div class='event'><h1>Передача золота</h1></div>";
echo "<div class='content'>";
echo "<div class='block'>";
echo "Введите количество золота:</span><br/><form method='post'>";
echo "<input type='text' name='sum' value=''><input type='hidden' name='mdp' value='$ku[mdp]'><br/>";
echo "<input type='submit' name='ok' value='Передать'>";
echo "</form></div>";
include_once 'inc/foot.php';
?>;
echo 